LandingLens and LandingEdge docs have moved to landinglens.docs.landing.ai!
curl -X POST 'https://api.va.landing.ai/v1/ade/section' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'markdown=@parsed_output.md' \
-F 'model=section-latest'{
"table_of_contents": [
{
"title": "<string>",
"level": 123,
"section_number": "<string>",
"start_reference": "<string>"
}
],
"table_of_contents_md": "<string>",
"metadata": {
"filename": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Section parsed markdown into a hierarchical table of contents.
This endpoint accepts the markdown output from /ade/parse (with reference anchors) and returns a flat, reading-order list of sections with hierarchy levels and reference ranges.
For EU users, use this endpoint:
https://api.va.eu-west-1.landing.ai/v1/ade/section.
curl -X POST 'https://api.va.landing.ai/v1/ade/section' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'markdown=@parsed_output.md' \
-F 'model=section-latest'{
"table_of_contents": [
{
"title": "<string>",
"level": 123,
"section_number": "<string>",
"start_reference": "<string>"
}
],
"table_of_contents_md": "<string>",
"metadata": {
"filename": "<string>",
"duration_ms": 123,
"credit_usage": 123,
"org_id": "<string>",
"job_id": "",
"version": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.landing.ai/llms.txt
Use this file to discover all available pages before exploring further.
Your unique API key for authentication.
Get your API key here: https://va.landing.ai/settings/api-key.
If using the EU endpoint, get your API key here: https://va.eu-west-1.landing.ai/settings/api-key.
Request model for section endpoint.
Parsed markdown with reference anchors ( [blocked]). This is the markdown field from a parse response.
URL to fetch the markdown from.
Natural-language instructions to control hierarchy. Examples: 'Group by topic', 'Treat each numbered section as a top-level entry'.
Section model version. Defaults to latest.
Was this page helpful?